This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 382511 - virt-manager dependency misconfiguration found
virt-manager dependency misconfiguration found
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 09:30 EST by James A. Feister
Modified: 2014-01-21 18:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 11:15:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James A. Feister 2007-11-14 09:30:18 EST
Description of problem:
Installed virt-manager tried running from the menu with no application start or
resident process left running in the background. 

Version-Release number of selected component (if applicable):
FC8 all updates installed

How reproducible:
Ran from console with the --no-fork option when it dumped out this:

Steps to Reproduce:

[james@localhost ~]$ virt-manager --no-fork

  
Actual results:

Traceback (most recent call last):
File "/usr/share/virt-manager/virt-manager.py", line 295, in <module>
main()
File "/usr/share/virt-manager/virt-manager.py", line 237, in main
from virtManager.engine import vmmEngine
File "/usr/share/virt-manager/virtManager/engine.py", line 33, in <module>
from virtManager.console import vmmConsole
File "/usr/share/virt-manager/virtManager/console.py", line 28, in <module>
import gtkvnc
ImportError: libgtk-vnc-1.0.so.0: cannot open shared object file: No such file
or directory


Expected results:

Execution of application.

Additional info:

Went to the package manager and installed the 'gtk-vnc - 0.2.0-4.fc8.x86_64'
package, it now works fine with no messages dumped to the console.
Could this be a dependency misconfiguration? I did not opt to not install any of
the recommended dependencies.
Using Fc8 with all updates installed
Comment 1 Seth Vidal 2007-11-14 10:21:26 EST
If you didn't install any of the deps how did you install it? Not using yum, I
assume.

Comment 2 James A. Feister 2007-11-14 10:35:51 EST
I did not opt to not install any of the recommended dependencies =  I did
install all recommended dependencies
Sorry for the confusion.
Comment 3 Seth Vidal 2007-12-06 10:38:56 EST
okay - then I'm guessing we just have a busted dependency. reassigning to libvirt
Comment 4 Daniel Berrange 2007-12-06 11:15:53 EST
I don't see how this is possible.

  - Virt-manager depends on  gtk-vnc-python
  - gtk-vnc-python depends on gtk-vnc
  - gtk-vnc provides libgtk-vnc-1.0.so.0

The dependancy is correct in the spec file & to check, I attempted to remove
'gtk-vnc' and rpm correctly refused

# rpm -e gtk-vnc
error: Failed dependencies:
        libgtk-vnc-1.0.so.0 is needed by (installed) gtk-vnc-python-0.2.0-4.fc8.i386
        libgtk-vnc-1.0.so.0 is needed by (installed) virt-viewer-0.0.2-2.fc8.i386
        libgtk-vnc-1.0.so.0 is needed by (installed) gtk-vnc-devel-0.2.0-4.fc8.i386
        gtk-vnc = 0.2.0 is needed by (installed) gtk-vnc-python-0.2.0-4.fc8.i386
        gtk-vnc = 0.2.0 is needed by (installed) gtk-vnc-devel-0.2.0-4.fc8.i386


# rpm -e gtk-vnc-python
error: Failed dependencies:
        gtk-vnc-python is needed by (installed) virt-manager-0.5.2-2.fc8.i386


If I remove all virtualization related packages and do a 'yum install
virt-manager' it also works fine

# yum install virt-manager
Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 virt-manager            x86_64     0.5.2-2.fc8      development       1.2 M
Installing for dependencies:
 gtk-vnc                 x86_64     0.2.0-4.fc8      development        50 k
 gtk-vnc-python          x86_64     0.2.0-4.fc8      development        11 k
 python-virtinst         noarch     0.300.1-3.fc8    development       133 k
 virt-viewer             x86_64     0.0.2-2.fc8      development        25 k

Transaction Summary
=============================================================================
Install      5 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 1.4 M
Is this ok [y/N]: y
Downloading Packages:
(1/5): gtk-vnc-python-0.2 100% |=========================|  11 kB    00:00     
(2/5): virt-manager-0.5.2 100% |=========================| 1.2 MB    00:00     
(3/5): virt-viewer-0.0.2- 100% |=========================|  25 kB    00:00     
(4/5): gtk-vnc-0.2.0-4.fc 100% |=========================|  50 kB    00:00     
(5/5): python-virtinst-0. 100% |=========================| 133 kB    00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: gtk-vnc                      ######################### [1/5] 
  Installing: virt-viewer                  ######################### [2/5] 
  Installing: gtk-vnc-python               ######################### [3/5] 
  Installing: python-virtinst              ######################### [4/5] 
  Installing: virt-manager                 ######################### [5/5] 




If you can give me a concrete scenario in which the problem occurs, re-open this.

Note You need to log in before you can comment on or make changes to this bug.